Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 218909 - net-analyzer/nload-0.6.0-r2 fails w/ gcc-4.3.0; bump to 0.7.1, patch
Summary: net-analyzer/nload-0.6.0-r2 fails w/ gcc-4.3.0; bump to 0.7.1, patch
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] GCC Porting (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Netmon Herd
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: gcc-4.3
  Show dependency tree
 
Reported: 2008-04-22 16:53 UTC by Peter Alfredsen (RETIRED)
Modified: 2008-04-22 17:29 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
nload-0.7.1-gcc43.patch (nload-0.7.1-gcc43.patch,820 bytes, patch)
2008-04-22 16:54 UTC, Peter Alfredsen (RETIRED)
Details | Diff
nload-0.6.0-r2--0.7.1.ebuild.patch (nload-0.6.0-r2--0.7.1.ebuild.patch,480 bytes, patch)
2008-04-22 16:58 UTC, Peter Alfredsen (RETIRED)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Peter Alfredsen (RETIRED) gentoo-dev 2008-04-22 16:53:10 UTC
make  all-recursive
make[1]: Entering directory `/var/tmp/portage/net-analyzer/nload-0.6.0-r2/work/nload-0.6.0'
Making all in docs
make[2]: Entering directory `/var/tmp/portage/net-analyzer/nload-0.6.0-r2/work/nload-0.6.0/docs'
make[2]: Nothing to be done for `all'.
make[2]: Leaving directory `/var/tmp/portage/net-analyzer/nload-0.6.0-r2/work/nload-0.6.0/docs'
Making all in src
make[2]: Entering directory `/var/tmp/portage/net-analyzer/nload-0.6.0-r2/work/nload-0.6.0/src'
i686-pc-linux-gnu-g++ -DHAVE_CONFIG_H -I. -I..     -O2 -march=i686 -mtune=athlon-xp -msse -mmmx -pipe -ggdb3 -Wall -MT main.o -MD -MP -MF .deps/main.Tpo -c -o main.o main.cpp
i686-pc-linux-gnu-g++ -DHAVE_CONFIG_H -I. -I..     -O2 -march=i686 -mtune=athlon-xp -msse -mmmx -pipe -ggdb3 -Wall -MT dev.o -MD -MP -MF .deps/dev.Tpo -c -o dev.o dev.cpp
In file included from dev.cpp:19:
dev.h:40: warning: deprecated conversion from string constant to ‘char*’
dev.cpp: In member function ‘void Dev::print(Window&)’:
dev.cpp:105: error: ‘strlen’ was not declared in this scope
dev.cpp:116: warning: deprecated conversion from string constant to ‘char*’
dev.cpp:118: warning: deprecated conversion from string constant to ‘char*’
dev.cpp:131: warning: deprecated conversion from string constant to ‘char*’
dev.cpp:140: warning: deprecated conversion from string constant to ‘char*’
make[2]: *** [dev.o] Error 1
make[2]: *** Waiting for unfinished jobs....
In file included from main.cpp:35:
dev.h:40: warning: deprecated conversion from string constant to ‘char*’
main.cpp: In function ‘int main(int, char**)’:
main.cpp:77: error: ‘strcmp’ was not declared in this scope
main.cpp:80: error: ‘exit’ was not declared in this scope
main.cpp:89: error: ‘atol’ was not declared in this scope
main.cpp:97: error: ‘exit’ was not declared in this scope
main.cpp:108: error: ‘atol’ was not declared in this scope
main.cpp:116: error: ‘exit’ was not declared in this scope
main.cpp:125: error: ‘atoi’ was not declared in this scope
main.cpp:137: error: ‘exit’ was not declared in this scope
main.cpp:145: error: ‘atoi’ was not declared in this scope
main.cpp:153: error: ‘exit’ was not declared in this scope
main.cpp:196: error: ‘exit’ was not declared in this scope
main.cpp:204: error: ‘exit’ was not declared in this scope
main.cpp:247: error: ‘exit’ was not declared in this scope
main.cpp:255: error: ‘exit’ was not declared in this scope
main.cpp: In function ‘void end(int)’:
main.cpp:399: error: ‘exit’ was not declared in this scope
make[2]: *** [main.o] Error 1
make[2]: Leaving directory `/var/tmp/portage/net-analyzer/nload-0.6.0-r2/work/nload-0.6.0/src'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/var/tmp/portage/net-analyzer/nload-0.6.0-r2/work/nload-0.6.0'
make: *** [all] Error 2


Reproducible: Always

Steps to Reproduce:
Comment 1 Peter Alfredsen (RETIRED) gentoo-dev 2008-04-22 16:54:36 UTC
Created attachment 150612 [details, diff]
nload-0.7.1-gcc43.patch

Patch to fix remaining gcc-4.3.0 build failures in nload-0.7.1
Comment 2 Peter Alfredsen (RETIRED) gentoo-dev 2008-04-22 16:58:04 UTC
Created attachment 150616 [details, diff]
nload-0.6.0-r2--0.7.1.ebuild.patch

Patch for bumping to nload-0.7.1. 0.7.1 claims to have fixed all build failures with gcc-4.3.0, but that's not quite true. Home-spun patch above this one. The signedness amd64 fixes have migrated upstream, so no more needed, punt. The stripping fix still applies, so keep.
Comment 3 Peter Alfredsen (RETIRED) gentoo-dev 2008-04-22 17:00:10 UTC
Changelog for 0.7.1 from:
http://www.roland-riegel.de/nload/index.html

2008-02-27 Roland Riegel <feedback@roland-riegel.de>

	* If devices are given on the command line, display only these

	* Use --sysconfdir as given to configure

2008-02-02 Roland Riegel <feedback@roland-riegel.de>

	* Abort configure script if ncurses is not found

	* Rewrite the linux proc devreader

	* Implement hpux device detection

	* Implement reading and writing of config files (fixes debian bug #247030)

	* Add F5 and F6 key shortcuts for reading and writing current settings

	* Change defaults for traffic units to human readable

	* Make shown devices configurable at run time and save this setting as well

	* Remove "-t 0"

	* Change key shortcuts, especially F2 for the option window

	* Replace "average smoothness" by average window period in seconds

	* Apply patch by Paul Brook <paul@nowt.org> so that nload works correctly on 64-bit kernels

	* Fix SIGSEGV when /proc/net/dev doesn't exist

	* Make compilation work with GCC 4.3 (fixes debian bug #417449)

	* Tag 0.7.0 release
Comment 4 Samuli Suominen gentoo-dev 2008-04-22 17:29:36 UTC
+*nload-0.7.1 (22 Apr 2008)
+
+  22 Apr 2008; Samuli Suominen <drac@gentoo.org>
+  +files/nload-0.7.1-gcc43.patch, -nload-0.6.0.ebuild, +nload-0.7.1.ebuild:
+  Version bump. Fixes also building failure with GCC 4.3. Thanks to Peter
+  Alfredsen wrt #218909.